#### PyKDE - Python Bindings for KDE

# class KArchiveFile |
Table of contents
Modules
tdeio Classes
All Classes

Module | tdeio
Class | KArchiveFile
Inherits | KArchiveEntry

### methods

- KArchiveFile (archive, name, access, date, user, group, symlink, pos, size)

  returns a KArchiveFile instance
  Argument | Type | Default
  --- | --- | ---
  archive | KArchive |
  name | TQString |
  access | int |
  date | int |
  user | TQString |
  group | TQString |
  symlink | TQString |
  pos | int |
  size | int |

- copyTo (dest)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  dest | TQString |

- data ()

  returns (TQByteArray)

- device ()

  returns (TQIODevice)

- isFile ()

  returns (bool)

- position ()

  returns (int)

- setSize (s)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  s | int |

- size ()

  returns (int)